Firmware support for Polycom Trio 8800

  • 0
  • 1
  • Idea
  • Updated 3 months ago
We are using the Polycom RealPresence Trio 8800 phone with a RingCetnral account.  Currently RingCentral only supports the firmware version 5.4.2.5400 for this model. The newest firmware updates from Polycom included a number of bug fixes and added functionality.   We would like to see newer firmware version be supported by RingCentral for this particular phone. 


Account type  - U.S.
A brief description of the business - healthcare services
A high level description of the product or feature being requested - Latest firmware support for Polycom RealPresence Trio 8800 phone
A typical use case scenario explaining how your business would use the feature - Latest fimware has lots of bug fixes and provides extra functionality
Benefit of such feature - Phone is less prone to restarting and new features like AirPlay are very much needed
Include any related case number if applicable
Number of Users and/or Digital Lines - 30
Photo of Dima Tochilovsky

Dima Tochilovsky

  • 336 Points 250 badge 2x thumb

Posted 5 months ago

  • 0
  • 1
Photo of Luke

Luke, U.S. Tier 1 Support

  • 3,774 Points 3k badge 2x thumb
Hi Dima,

Currently the recommended software version for using the Polycom RealPresence Trio 8800 with RingCentral is 5.4.5.9188. Our system may not send the update to this model automatically, but you should be able to update to this version by accessing the web interface of this phone.

See Polycom's articles for Using the Web Configuration Utility, and Using the Software Upgrade Tool in the Web Configuration Utility for more info. If you find that the default administrator password for the phone is not working, reach out to RingCentral support and we may be able to provide the current password for the device.

Photo of Dima Tochilovsky

Dima Tochilovsky

  • 336 Points 250 badge 2x thumb
Hi Luke, I had a support case with RingCentral and they told me that the latest supported firmware for the RealPresence Trio 8800 is 5.6.0.xxxx. IS that version - 5.6.0 indeed supported by RingCentral?
I know that an unsupported version of firmware breaks the operation of the conference phone and I want to be sure I only upgrade to the latest supported version.

Thank you.
Photo of Luke

Luke, U.S. Tier 1 Support

  • 3,774 Points 3k badge 2x thumb
Hi Dima,

From my experience I have seen some trouble upgrading to 5.6.0.x, but I have also seen success with this version in other instances. So far I haven't had any issues with 5.4.5.9188, so I know it works reliably with our service and so I recommend that version. If you prefer to have a newer version, I'd say it's OK to try 5.6.0.x and see if it works, if it does not I would try downgrading back to 5.4.5.9188.

While RingCentral does not upgrade the Polycom Trio 8800's firmware automatically at this point, we will likely do this in the future to make sure phones are automatically placed on the most stable version for our platform. I would recommend against manually upgrading your phone to new firmware as it becomes available, just to make sure you don't run into any issues.

One difficulty is that the web UI for Polycom phones will also let you choose versions that are not compatible, in which case when you choose an incorrect version it will simply restart and be on the same version. Polycom has software compatibility tables for VVX Phones and SPIP/SSIP phones, but I don't believe they have them for this model yet.

Let us know if you have success with any particular software version.